<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xs="http://www.w3.org/2001/XMLSchema" elementFormDefault="qualified" id="OTA2003A2007A" version="1.007">
  <xsd:include schemaLocation="OTA_AirCommonTypes.xsd"/>
  <xsd:include schemaLocation="OTA_CommonPrefs.xsd"/>
  <xsd:attributeGroup name="CabinPrefGroup">
    <xsd:attributeGroup ref="PreferLevelGroup"/>
    <xsd:attribute type="CabinType" name="Cabin"/>
  </xsd:attributeGroup>
  <xsd:attributeGroup name="FareRestrictPrefGroup">
    <xsd:attributeGroup ref="PreferLevelGroup"/>
    <xsd:attribute type="xs:string" use="optional" name="FareRestriction"/>
    <xsd:attribute type="xsd:string" use="optional" name="Date"/>
  </xsd:attributeGroup>
  <xsd:attributeGroup name="FlightTypePrefGroup">
    <xsd:attributeGroup ref="PreferLevelGroup"/>
    <xsd:attribute type="FlightTypeType" use="optional" name="FlightType"/>
    <xsd:attribute type="xsd:integer" use="optional" name="MaxConnections"/>
    <xsd:attribute use="optional" name="NonScheduledFltInfo">
      <xsd:simpleType>
        <xsd:restriction base="xsd:string">
          <xsd:enumeration value="ChartersOnly"/>
          <xsd:enumeration value="ExcludeCharters"/>
          <xsd:enumeration value="All"/>
        </xsd:restriction>
      </xsd:simpleType>
    </xsd:attribute>
    <xsd:attribute type="xs:boolean" use="optional" name="BackhaulIndicator"/>
    <xsd:attribute type="xs:boolean" use="optional" name="GroundTransportIndicator"/>
    <xsd:attribute type="xs:boolean" use="optional" name="DirectAndNonStopOnlyInd"/>
    <xsd:attribute type="xs:boolean" use="optional" name="NonStopsOnlyInd"/>
    <xsd:attribute type="xs:boolean" use="optional" name="OnlineConnectionsOnlyInd"/>
    <xsd:attribute use="optional" name="RoutingType">
      <xsd:simpleType>
        <xsd:restriction base="xsd:string">
          <xsd:enumeration value="Normal"/>
          <xsd:enumeration value="Mirror"/>
        </xsd:restriction>
      </xsd:simpleType>
    </xsd:attribute>
  </xsd:attributeGroup>
  <xsd:complexType name="AirSearchPrefsType">
    <xsd:sequence>
      <xsd:element type="CompanyNamePrefType" name="VendorPref" minOccurs="0" maxOccurs="99"/>
      <xsd:element name="FlightTypePref" minOccurs="0" maxOccurs="3">
        <xsd:complexType>
          <xsd:attributeGroup ref="FlightTypePrefGroup"/>
        </xsd:complexType>
      </xsd:element>
      <xsd:element name="FareRestrictPref" minOccurs="0" maxOccurs="4">
        <xsd:complexType>
          <xsd:sequence>
            <xsd:element type="AdvResTicketingType" name="AdvResTicketing" minOccurs="0"/>
            <xsd:element type="StayRestrictionsType" name="StayRestrictions" minOccurs="0"/>
            <xsd:element type="VoluntaryChangesType" name="VoluntaryChanges" minOccurs="0"/>
          </xsd:sequence>
          <xsd:attributeGroup ref="FareRestrictPrefGroup"/>
          <xsd:attribute type="xs:string" use="optional" name="FareDisplayCurrency"/>
          <xsd:attribute type="xs:string" use="optional" name="CurrencyOverride"/>
        </xsd:complexType>
      </xsd:element>
      <xsd:element type="EquipmentTypePref" name="EquipPref" minOccurs="0" maxOccurs="9"/>
      <xsd:element name="CabinPref" minOccurs="0" maxOccurs="3">
        <xsd:complexType>
          <xsd:attributeGroup ref="CabinPrefGroup"/>
          <xsd:attribute type="xs:string" use="optional" name="CabinSubtype"/>
        </xsd:complexType>
      </xsd:element>
      <xsd:element name="TicketDistribPref" minOccurs="0" maxOccurs="3">
        <xsd:complexType>
          <xsd:simpleContent>
            <xsd:extension base="TicketDistribPrefType">
              <xsd:attribute type="xs:dateTime" use="optional" name="LastTicketDate"/>
              <xsd:attribute type="xs:dateTime" use="optional" name="FirstTicketDate"/>
            </xsd:extension>
          </xsd:simpleContent>
        </xsd:complexType>
      </xsd:element>
    </xsd:sequence>
    <xsd:attributeGroup ref="SmokingIndicatorGroup"/>
    <xsd:attribute type="xs:decimal" use="optional" name="OnTimeRate"/>
    <xsd:attribute type="xs:boolean" use="optional" default="false" name="ETicketDesired"/>
    <xsd:attribute type="xs:integer" use="optional" name="MaxStopsQuantity"/>
  </xsd:complexType>
  <xsd:complexType name="EquipmentTypePref">
    <xsd:simpleContent>
      <xsd:extension base="EquipmentType">
        <xsd:attributeGroup ref="PreferLevelGroup"/>
        <xsd:attribute type="xs:boolean" use="optional" name="WideBody"/>
      </xsd:extension>
    </xsd:simpleContent>
  </xsd:complexType>
</xsd:schema>